runkit_function_remove
runkit_import
runkit Functions
PHP Manual

# runkit_function_rename

(PECL runkit:0.7-0.9)

runkit_function_rename — Change a function's name

### Description

bool runkit_function_rename ( string `$funcname` , string `$newname` )

> Note: By default, only userspace functions may be removed, renamed, or modified. In order to override internal functions, you must enable the runkit.internal_override setting in php.ini.

### Parameters

`funcname`

  Current function name

`newname`

  New function name

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- runkit_function_add()
- runkit_function_copy()
- runkit_function_redefine()
- runkit_function_remove()

runkit_function_remove
runkit_import
runkit Functions
PHP Manual